=== debian/changelog ===
apport (0.108.2) hardy-proposed; urgency=low

  * debian/control: Update Vcs-Bzr: for the hardy branch.
  * apport/packaging.py: Introduce a new function enabled() which reports
    whether Apport should create crash reports. Signal crashes are controlled
    by /proc/sys/kernel/core_pattern, but we need that to control whether
    reports for Python, package, or kernel crashes are generated.
  * backends/packaging-apt-dpkg.py: Provide implementation for
    PackageInfo.enabled() for Debian/Ubuntu by evaluating /etc/default/apport.
    Add various test cases for different configuration files and absent files.
  * apport_python_hook.py: Do not create reports if Apport is disabled (in
    /etc/default/apport). (LP: #222260)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 17 May 2008 13:01:24 +0200

apport (0.108.1) hardy-proposed; urgency=low

  * apport/report.py, add_proc_info(): also strip pathnames starting with
    'cow', 'squashmnt', and 'persistmnt' to allow apport to locate the
    executable pathname, additionally to 'rofs' added in 0.75.  This fixes
    apport for packages installed on the read-write part of the unionfs mounts
    and under UME which uses different names for the mount points.  Proper fix
    is to rewrite the pathnames in the kernel.

 -- Loic Minier <lool@dooz.org>  Tue, 29 Apr 2008 12:46:30 +0200
