=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2),
 python-central (>= 0.5.6), python-dev (>= 2.4), intltool,
 texlive-latex-recommended
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.3
XS-Python-Version: current
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/hardy

Package: apport
XB-Python-Version: ${python:Versions}
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2), python-xdg
Conflicts: apport-gtk (<< 0.51), apport-cli
Replaces: apport-gtk (<< 0.51), apport-cli
Suggests: apport-gtk | apport-qt
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package also provides a command line frontend for browsing and
 handling the crash reports. For desktops, you should consider
 installing the GTK+ or Qt user interface (apport-gtk or apport-qt).
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: python-problem-report
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}
Description: Python library to handle problem reports
 This Python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs (for details, see
 https://wiki.ubuntu.com/AutomatedProblemReports).
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python-apport
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}, python-apt, python-problem-report (>= 0.94), python-launchpad-bugs (>= 0.2.11), gdb
Conflicts: python-apport-utils
Replaces: python-apport-utils
Description: apport crash report handling library
 This Python package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: apport-retrace
XB-Python-Version: ${python:Versions}
Section: devel
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.88), python-apt, python-launchpad-bugs (>= 0.2.11), apt, binutils, dpkg-dev
Suggests: debootstrap (>= 0.3.3.2ubuntu2), fakeroot, fakechroot
Conflicts: apport (<< 0.72)
Replaces: apport (<< 0.72)
Description: tools for reprocessing Apport crash reports
 apport-retrace recombines an Apport crash report (either a file or a
 Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
 stack traces.
 .
 This package also ships apport-chroot. This tool can create and
 manage chroots for usage with apport-retrace. If the fakeroot and
 fakechroot libraries are available (either by installing the packages
 or by merely putting their libraries somewhere and setting two
 environment variables), the entire process of retracing crashes in
 chroots can happen with normal user privileges.

Package: apport-gtk
XB-Python-Version: ${python:Versions}
Section: gnome
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.80), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
Recommends: update-notifier
Description: GTK+ frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a GTK+ frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: apport-qt
XB-Python-Version: ${python:Versions}
Section: kde
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.80), python-qt4, python-xdg, apport (>= 0.41), procps
Recommends: adept-notifier
Description: Qt4 frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a Qt4 frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.
