## apport 0.119

=== debian/changelog ===
apport (0.119) intrepid; urgency=low

  * debian/apport.default: Disable Apport by default for the final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Oct 2008 09:34:41 +0200

apport (0.118) intrepid; urgency=low

  * apport/hookutils.py: add attach_gconf() function to add non-default gconf
    settings to a report

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 13 Oct 2008 20:10:33 +0100

apport (0.117) intrepid; urgency=low

  * backends/packaging-apt-dpkg.py, is_distro_package(): Fix crash if
    apt.Cache()[pkg].origins is None. (LP: #279353)
  * bin/apport: Log that we are ignoring SIGABRT, since it is a common cause
    of confusion.
  * test-apport, create_test_process(): Fix race condition: wait until the
    child process has fully execve()ed, to avoid coredumping it while it is
    still running as test-apport process.
  * apport/crashdb_impl/launchpad.py, update(): Set source package of a bug if
    the reporter removed it and the task is against 'Ubuntu'. (LP: #269045)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 07 Oct 2008 16:38:06 +0200

apport (0.116) intrepid; urgency=low

  * Update AUTHORS and debian/copyright, Michael and Troy released their
    copyright to Canonical. Properly attribute them as authors in the
    respective files.
  * debian/local/ubuntu-bug: Fix quoting of the command line arguments, so
    that several options do not end up as one big argument when being passed
    to apport-{cli,gtk,qt}. This also repairs launchpad-integration.
    (LP: #260242)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Sep 2008 10:32:45 +0200

apport (0.115) intrepid; urgency=low

  [ Matt Zimmerman ]
  * Add apport/hookutils.py with some convenience functions for writing hook
    scripts (work in progress)
  * Extend ubuntu-bug to accept a path as an argument and look up the package
    name
  * Rename kernel_hook to kernel_crashdump (there are other kernel hooks)
  * Change kernel crash report type to KernelCrash
  * Fix automatix.py to not crash when automatix isn't installed (LP: #267004)
  * Add bin/kernel_oops hook to capture a kernel oops (eg. via kerneloops)

  [ Martin Pitt ]
  * Add AUTHORS file for collecting the list of major contributors and
    copyright holders.
  * apport/report.py: If we do not find a bug pattern file for the binary
    package, fall back to looking for one with the source package name.
  * run-tests: Provide a better error message if apport/packaging_impl.py does
    not exist.

  [ Brian Murray ]
  * apport/crashdb_impl/launchpad.py: Add regression-retracer tag to bugs
    which seem to be a regression (duplicate, and crash happens in a later
    version than the fix). (LP: #271876)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Sep 2008 18:18:03 -0700

apport (0.114) intrepid; urgency=low

  [ Fabien Tassin ]
  * apport/ui.py: Use preferred browser when it's recognized as a
    Mozilla browser (firefox, seamonkey, flock) or Epiphany (LP: #131350)

  [ Oumar Aziz OUATTARA ]
  * apport/crashdb.py: Add support for /etc/apport/crashdb.conf.d/*.conf crash
    database configuration files. Document it in doc/crashdb-conf.txt.
  * apport/ui.py: Support a new field "CrashDB" in apport reports which select
    a non-default crash database. Document this in doc/package-hooks.txt.

  [ Martin Pitt ]
  * apport/report.py: If a hook crashes with an exception, print it to
    stderr, for easier debugging of hooks.
  * apport/crashdb_impl/launchpad.py: If PackageArchitecture is 'all', fall
    back to looking at Architecture instead of not adding a
    needs-$ARCH-retrace tag at all. This prevented signal crashes originating
    from e. g. Python packages from being automatically retraced.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Sep 2008 10:51:24 +0200

apport (0.113) intrepid; urgency=low

  * apport-qt recommends update-notifier-kde instead of adept-notifier

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 28 Aug 2008 15:02:20 +0200

apport (0.112) intrepid; urgency=low

  * apport/crashdb_impl/launchpad.py: Update attachment handling to current
    python-launchpad-bugs API, thanks Markus Korn!
  * apport/ui.py: Use gnome-panel as indicator for a running GNOME session;
    'gnome-session' now calls itself x-session-manager, which isn't useful
    to tell apart session types.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Aug 2008 17:09:49 +0200

apport (0.111) intrepid; urgency=low

  The "(Kernel) OOPS, I dumped it again!" release.

  * apport/ui.py: Fix test_run_report_bug_unpackaged_pid() to work with the
    installed run-tests from the package as well.
  * apport/crashdb_impl/launchpad.py: Ignore broken LP bug tasks instead of
    crashing on them.
  * apport/report.py, add_proc_info(): Report the AppArmor or SELinux context
    in a new ProcAttrCurrent field, read from /proc/pid/attr/current.
    Document it in doc/data-format.tex. The field will not be added if the
    proc attribute cannot be read or isn't present. Thanks to Steve Beattie
    for the patch and the suggestion!
  * debian/local/setup-apport-retracer: Switch to intrepid.
  * debian/local/setup-apport-retracer: Fix installation of python-apt. Also
    install apt, to avoid library version mismatches to python-apt.
  * debian/apport.default: Enable apport by default again, now that we have
    working retracers.
  * apport/report.py, test_add_gdb_info_script(): Use bash, not dash as test
    program for core dumping; stack trace is awkwardly bad with dash, so that
    the test case cannot really work any more.
  * Add package-hooks/source_linux.py: Package hook for collecting kernel
    related information. By Matt Zimmerman, thank you! (LP: #251441)
  * debian/local/ubuntu-bug.1: Fix documentation of -p, it  specifies the
    binary package name, not the source.
  * apport/packaging.py: Add get_kernel_package() to return the actual Linux
    kernel package name; useful if the user reports a bug against just

