=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
  python-central (>= 0.5.6), python-dev (>= 2.4), intltool,
  texlive-latex-recommended
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/hardy
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/ubuntu
 
 Package: apport
 XB-Python-Version: ${python:Versions}
@@ -100,7 +100,7 @@
 Section: kde
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.80), python-qt4, python-xdg, apport (>= 0.41), procps
-Recommends: adept-notifier
+Recommends: update-notifier-kde
 Description: Qt4 frontend for the apport crash report system
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump
