## apport 1.0

=== po/Makefile ===
--- 
+++ 
@@ -22,7 +22,13 @@
 
 # merge the new stuff into the po files
 merge-po: $(PO_FILES) $(DOMAIN.pot)
+	# we need fake .py files, since current intltool-update
+	# currently does not understand a thing like [type: python]
+	ln -s apport-gtk $(top_srcdir)/gtk/apport-gtk.py
+	ln -s apport-qt $(top_srcdir)/qt4/apport-qt.py
+	ln -s apport-cli $(top_srcdir)/cli/apport-cli.py
 	XGETTEXT_ARGS='--msgid-bugs-address=$(CONTACT)' intltool-update -r
+	rm $(top_srcdir)/gtk/apport-gtk.py $(top_srcdir)/qt4/apport-qt.py $(top_srcdir)/cli/apport-cli.py
 
 # create mo from the pos
 %.mo : %.po
