=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7.0.50~),
 gdb,
 python-twisted-core,
 gir1.2-glib-2.0 (>= 1.29.17),
 lsb-release,
 net-tools,
 xauth,
 python-all,
 python3-all
Build-Depends-Indep: python-distutils-extra (>= 2.24~),
 python3-distutils-extra (>= 2.24~),
 python-apt (>= 0.7.9),
 python3-apt (>= 0.7.9),
 pep8,
 pyflakes,
 intltool,
 xvfb,
 python-mock,
 python3-mock,
 procps,
 psmisc,
 gir1.2-gtk-3.0 (>= 3.1.90),
 python-gi,
 python3-gi,
 default-jdk | java-sdk
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.0
Homepage: https://wiki.ubuntu.com/Apport
Vcs-Git: git://anonscm.debian.org/collab-maint/apport.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apport.git

Package: apport
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 python3-gi,
 gir1.2-glib-2.0 (>= 1.29.17),
 sysv-rc (>= 2.86.ds1-14),
 ${misc:Depends},
 ${python:Depends}
Recommends: policykit-1
Suggests: apport-gtk | apport-kde
Breaks: python-apport (<< 2.6.1-1)
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the kernel.
 .
 This package also provides a command line frontend for browsing and
 handling the crash reports. For desktops, you should consider
 installing the GTK+ or Qt user interface (apport-gtk or apport-kde).

Package: python-problem-report
Section: python
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends}
Description: Python library to handle problem reports
 This Python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs.
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python3-problem-report
Section: python
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends}
Description: Python 3 library to handle problem reports
 This Python 3 library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs.
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python-apport
Section: python
Architecture: all
Depends: ${python:Depends}, 
 python-apt (>= 0.7.9),
 python-problem-report (>= 0.94),
 lsb-release,
 ${misc:Depends}
Recommends: apport
Description: Python library for Apport crash report handling
 This Python package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: python3-apport
Section: python
Architecture: all
Depends: ${python3:Depends}, 
 python3-apt (>= 0.7.9),
 python3-problem-report (>= 0.94),
 lsb-release,
 ${misc:Depends}
Recommends: apport
Description: Python 3 library for Apport crash report handling
 This Python 3 package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: apport-retrace
Section: devel
Architecture: all
Depends: python (>= 2.4),
 python3,
 python-apport (>= ${source:Version}),
 apt,
 binutils,
 dpkg-dev,
 gdb,
 libc6-dbg,
 ${misc:Depends}
Suggests: gdb-multiarch
Description: tools for reprocessing Apport crash reports
 apport-retrace recombines an Apport crash report (either a file or a
 Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
 stack traces. This can optionally use a sandbox for installing debug symbol
 packages and doing the processing, so that entire process of retracing crashes
 can happen with normal user privileges without changing the system.

Package: apport-gtk
Section: gnome
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 gir1.2-gtk-3.0 (>= 3.1.90),
 gir1.2-wnck-3.0,
 python3-gi,
 apport (>= 0.41), 
 procps,
 ${misc:Depends}
Recommends: update-notifier, gdb
Description: GTK+ frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the kernel.
 .
 This package provides a GTK+ frontend for browsing and handling the
 crash reports.

Package: apport-kde
Section: kde
Architecture: all
Depends: python (>= 2.4),
 python-apport (>= ${source:Version}),
 python-kde4,
 apport (>= 0.41),
 procps,
 ${misc:Depends},
 ${python:Depends}
Recommends: update-notifier-kde, gdb
Description: KDE frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the kernel.
 .
 This package provides a KDE frontend for browsing and handling the
 crash reports.

Package: dh-apport
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
 ${misc:Depends}
Description: debhelper extension for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the kernel.
 .
 This package provides a debhelper extension to make it easier for other
 packages to include apport hooks.

Package: apport-valgrind
Section: devel
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 apt,
 binutils,
 valgrind (>= 3.8.1),
 dpkg-dev,
 libc6-dbg, ${misc:Depends}
Description: valgrind wrapper that first downloads debug symbols
 apport-valgrind is a valgrind wrapper that automatically downloads related
 available debug symbols and provides them to valgrind's memcheck tool, which
 is executed. The output is a valgrind log file ("valgrind.log") that contains
 stack traces (with as many symbols resolved as available) and that shows
 memory leaks.
