=== debian/tests/control ===
Tests: upstream-system
Depends: apport, gdb, python-twisted-core
Restrictions:
Features: no-build-needed
