## apport 2.16.2

=== debian/changelog ===
apport (2.16.2-2) experimental; urgency=medium

  [ Yuru Shao ]
  * [3152d82] fix typo in filename
  * [320d2ec] fix patch filename
  * [2f9a414] fix bug in checkFileExtn
  * [eb2d88c] adjust indent
  * [0c8a9bb] only 1 instance per user

  [ Ritesh Raj Sarraf ]
  * [9cabd8b] Fix #define for CRASH_EXTN
  * [13e64a1] Fix indentation
  * [b98ef66] Add patch from Yuru to handle Unicode exceptions.
    Thanks to Yuru Roy Shao (Closes: 781164)

 -- Yuru Shao <shaoyuru@gmail.com>  Fri, 27 Mar 2015 12:56:31 +0530

apport (2.16.2-1) experimental; urgency=medium

  * [b2aa033] Only act on IN_CLOSE_WRITE event
  * [b618907] Add details about notifyd in README.Debian
  * [97bde9a] Imported Upstream version 2.16.2
  * [185d9dc] Refresh patch debian/patches/kde-retrace-support.patch
  * [17db7dc] Drop testsuite folder

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 Mar 2015 16:53:59 +0530

apport (2.15.1-4) experimental; urgency=medium

  * [31d3de2] Add debian/gbp.conf
  * [feea9b7] Update changelog
  * [7a489fd] Tap the report once apport is done writing to it.
    Thanks to Laurent Bigonville (Closes: #750989)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 10 Feb 2015 19:54:52 +0530

apport (2.15.1-3) experimental; urgency=medium

  * [7b2a70f] Add patch to add support for retrace in KDE env
  * [ce8647a] Add header to debian/patches/kde-retrace-support.patch
  * [7274d67] Add patch to disable is_distro_package() on Debian

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 10 Feb 2015 16:41:28 +0530

apport (2.15.1-2) experimental; urgency=medium

  * [79091ac] Be more certain on how we determine package name and version
  * [ae8c208] Add patch to ignore UnicodeDecode Error. Debian BTS #775327
  * [60c1887] Fix arch-only FTBFS builds.
    Thanks to Pino Toscano (Closes: #775034)
  * [24b5dff] Use build flags from dpkg-buildflags.
    Thanks to Pino Toscano (Closes: #775036)
  * [c85ed69] Don't ship KDE3 mimetype.
    Thanks to Pino Toscano (Closes: #775037)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 14 Jan 2015 13:48:33 +0530

apport (2.15.1-1) experimental; urgency=medium

  * [a2df0a6] Imported Upstream version 2.14.7
  * [cb491e4] Imported Upstream version 2.14.7
  * [2b23be3] Refresh patches
  * [8cdb28c] Add gdb-minimal as an alternative to gdb
  * [9cd6406] Update some install files
  * [8aa4588] Add dupdb-admin manpage
  * [6c04938] Add apport-valgrind manpage
  * [ffc0be2] Juggle the control file to look more close to Ubuntu's
  * [2f4cca2] Update debhelper
  * [eb4281b] dubdb manpage is shipped in apport-retrace
  * [649d4af] Imported Upstream version 2.15.1

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 10 Jan 2015 14:14:13 +0530

apport (2.14.2-3) experimental; urgency=medium

  * [0be4151] Drop sysv-rc hard dependency
  * [bd42d8c] Listen on inotify event file close.
    Thanks to Laurent Bigonville (Closes: #750989)
  * [edf75a6] Ony honor IN_CREATE. Also act only for .crash files
  * [e1f282c] Display debug symbol package name

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 10 Sep 2014 15:42:05 +0530

apport (2.14.2-2) experimental; urgency=medium

  * [bfc77cc] Add new package apport-notifyd

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 11 May 2014 12:59:27 +0530

apport (2.14.2-1) experimental; urgency=medium

  * [e78142c] Imported Upstream version 2.14.2
  * [480c5be] Drop patches. Applied upstream
  * [c1843d5] Refresh patches

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 06 May 2014 19:39:45 +0530

apport (2.12.6-2) experimental; urgency=medium

  * [dd60cf4] Don't hardcode dpkg-divert path.
    Thanks to Maximiliano Curia (Closes: #742106)
  * [e5893c4] Add patch to not fail if apport's traditional OS detection
    code fails (Closes: #742707)
  * [71d3829] Log that we are going to fall back to lsb

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 26 Mar 2014 20:14:27 +0530
