=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
  net-tools,
  xauth,
  python-all,
- python3-all
-Build-Depends-Indep: python-distutils-extra (>= 2.24~),
+ python3-all,
+ python-distutils-extra (>= 2.24~),
+ python-apt (>= 0.7.9),
  python3-distutils-extra (>= 2.24~),
- python-apt (>= 0.7.9),
  python3-apt (>= 0.7.9),
- pep8,
- pyflakes,
+Build-Depends-Indep:
  intltool,
  xvfb,
  python-mock,
@@ -23,6 +22,16 @@
  procps,
  psmisc,
  gir1.2-gtk-3.0 (>= 3.1.90),
+ gir1.2-wnck-3.0,
+ pep8,
+ pyflakes,
+ xterm,
+ dbus-x11,
+ gvfs-daemons,
+ libglib2.0-dev,
+ libglib2.0-0-dbg,
+ libnih-dev,
+ libc6-dbg | libc-dbg,
  python-gi,
  python3-gi,
  default-jdk | java-sdk
@@ -41,7 +50,6 @@
  lsb-base (>= 3.0-6),
  python3-gi,
  gir1.2-glib-2.0 (>= 1.29.17),
- sysv-rc (>= 2.86.ds1-14),
  ${misc:Depends},
  ${python:Depends}
 Recommends: policykit-1
@@ -56,6 +64,20 @@
  handling the crash reports. For desktops, you should consider
  installing the GTK+ or Qt user interface (apport-gtk or apport-kde).
 
+Package: apport-notify
+Architecture: linux-any
+Depends: apport,
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
+Suggests: apport-gtk | apport-kde
+Description: automatically generate crash reports for debugging
+ apport automatically collects data from crashed processes and
+ compiles a problem report in /var/crash/. This utilizes the crashdump
+ helper hook provided by the kernel.
+ .
+ This package provides the notification daemon
+
 Package: python-problem-report
 Section: python
 Architecture: all
@@ -127,7 +149,7 @@
  apt,
  binutils,
  dpkg-dev,
- gdb,
+ gdb | gdb-minimal,
  libc6-dbg,
  ${misc:Depends}
 Suggests: gdb-multiarch
@@ -137,59 +159,10 @@
  stack traces. This can optionally use a sandbox for installing debug symbol
  packages and doing the processing, so that entire process of retracing crashes
  can happen with normal user privileges without changing the system.
-
-Package: apport-gtk
-Section: gnome
-Architecture: all
-Depends: python3,
- python3-apport (>= ${source:Version}),
- gir1.2-gtk-3.0 (>= 3.1.90),
- gir1.2-wnck-3.0,
- python3-gi,
- apport (>= 0.41), 
- procps,
- ${misc:Depends}
-Recommends: update-notifier, gdb
-Description: GTK+ frontend for the apport crash report system
- apport automatically collects data from crashed processes and
- compiles a problem report in /var/crash/. This utilizes the crashdump
- helper hook provided by the kernel.
- .
- This package provides a GTK+ frontend for browsing and handling the
- crash reports.
-
-Package: apport-kde
-Section: kde
-Architecture: all
-Depends: python (>= 2.4),
- python-apport (>= ${source:Version}),
- python-kde4,
- apport (>= 0.41),
- procps,
- ${misc:Depends},
- ${python:Depends}
-Recommends: update-notifier-kde, gdb
-Description: KDE frontend for the apport crash report system
- apport automatically collects data from crashed processes and
- compiles a problem report in /var/crash/. This utilizes the crashdump
- helper hook provided by the kernel.
- .
- This package provides a KDE frontend for browsing and handling the
- crash reports.
-
-Package: dh-apport
-Section: devel
-Architecture: all
-Multi-Arch: foreign
-Depends: ${perl:Depends},
- ${misc:Depends}
-Description: debhelper extension for the apport crash report system
- apport automatically collects data from crashed processes and
- compiles a problem report in /var/crash/. This utilizes the crashdump
- helper hook provided by the kernel.
- .
- This package provides a debhelper extension to make it easier for other
- packages to include apport hooks.
+ .
+ You need to install gdb-multiarch if you want to be able to retrace crash
+ reports which happened on a different architecture than the one you run
+ apport-retrace on.
 
 Package: apport-valgrind
 Section: devel
@@ -208,3 +181,59 @@
  stack traces (with as many symbols resolved as available) and that shows
  memory leaks.
 
+
+Package: apport-gtk
+Section: gnome
+Architecture: all
+Depends: python3,
+ python3-apport (>= ${source:Version}),
+ gir1.2-gtk-3.0 (>= 3.1.90),
+ gir1.2-wnck-3.0,
+ python3-gi,
+ apport (>= 0.41), 
+ procps,
+ x-terminal-emulator,
+ ${misc:Depends}
+Recommends: update-notifier, gdb | gdb-minimal, apport-notify
+Description: GTK+ frontend for the apport crash report system
+ apport automatically collects data from crashed processes and
+ compiles a problem report in /var/crash/. This utilizes the crashdump
+ helper hook provided by the kernel.
+ .
+ This package provides a GTK+ frontend for browsing and handling the
+ crash reports.
+
+Package: apport-kde
+Section: kde
+Architecture: all
+Depends: python (>= 2.4),
+ python-apport (>= ${source:Version}),
+ python-kde4,
+ apport (>= 0.41),
+ procps,
+ x-terminal-emulator,
+ ${misc:Depends},
+ ${python:Depends}
+Recommends: update-notifier-kde, gdb | gdb-minimal, apport-notify
+Description: KDE frontend for the apport crash report system
+ apport automatically collects data from crashed processes and
+ compiles a problem report in /var/crash/. This utilizes the crashdump
+ helper hook provided by the kernel.
+ .
+ This package provides a KDE frontend for browsing and handling the
+ crash reports.
+
+Package: dh-apport
+Section: devel
+Architecture: all
+Multi-Arch: foreign
+Depends: ${perl:Depends},
+ ${misc:Depends}
+Description: debhelper extension for the apport crash report system
+ apport automatically collects data from crashed processes and
+ compiles a problem report in /var/crash/. This utilizes the crashdump
+ helper hook provided by the kernel.
+ .
+ This package provides a debhelper extension to make it easier for other
+ packages to include apport hooks.
+
