## apport 2.20.4

=== debian/changelog ===
apport (2.20.4-5) experimental; urgency=medium

  * [db937c7] Update KDE dependency to python3-pyqt5 (Closes: #891454)
  * [57d2735] Add patch to fix java minimul classpath

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 28 Mar 2018 11:39:30 +0530

apport (2.20.4-4) experimental; urgency=medium

  * [cf59742] Add patch to detect proper system backend
    (Closes: #876683)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 25 Sep 2017 20:55:49 +0545

apport (2.20.4-3) experimental; urgency=medium

  * [d865d21] Drop build dependency on libglib2.0-0-dbg.
    No longer available. Thanks to Andreas Beckmann (Closes: #876229)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 22 Sep 2017 11:58:35 +0545

apport (2.20.4-2) experimental; urgency=medium

  * [4acc7ef] Refresh patches
  * [116a5d6] Fix security vulnerability in apport (CVE-2017-10708)
    (Closes: #868831)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 27 Jul 2017 21:31:12 +0530

apport (2.20.4-1) experimental; urgency=medium

  * [5ad7def] New upstream version 2.20.4
    Fixes following vulnerabilities CVE-2016-9949, CVE-2016-9950,
    CVE-2016-9951

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 15 Dec 2016 13:46:01 +0530

apport (2.20.3-1) experimental; urgency=medium

  * [f07f4fb] New upstream version 2.20.3
  * [a8d3a34] Refresh patches against 2.20.3
  * [6536968] Drop debian/apport.init in favor of upstream's init
  * [9559d50] Update .install file
  * [027abd0] Bump Debhelper compatibility to 9
  * [7c0847d] Fix Vcs URLs
  * [2557c7b] Bump Standards Version to 3.9.5

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 30 Oct 2016 15:11:40 +0530

apport (2.19.3-1) experimental; urgency=medium

  * [d3d3ab6] Add Conflicts/Replaces/Provides: core-dump-handler, to
    ensure mutual uninstallability with systemd-coredump and corekeeper
  * [45bae38] Imported Upstream version 2.19.3
  * [451b83f] Refresh patches
  * [f5107b3] Update kde install files
  * [d3c59b5] Update apport.install file
  * [3a42735] Add dh-python to Build Depends
  * [87bdf77] Install apport_completion to usr
  * [09b7a16] Add problem-report packages to Recommends

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 20 Dec 2015 14:30:34 +0530

apport (2.17.3-1) experimental; urgency=medium

  * [10887e7] Imported Upstream version 2.17.3
    Fixes CVE-2015-1324, CVE-2015-1325

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 21 May 2015 23:03:25 +0530
