=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: apport
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9.0.0~),
  gdb,
  python-twisted-core,
  gir1.2-glib-2.0 (>= 1.29.17),
  lsb-release,
  net-tools,
  xauth,
+ dh-python,
  python-all,
  python3-all,
  python-distutils-extra (>= 2.24~),
@@ -29,19 +30,18 @@
  dbus-x11,
  gvfs-daemons,
  libglib2.0-dev,
- libglib2.0-0-dbg,
  libnih-dev,
  libc6-dbg | libc-dbg,
  python-gi,
  python3-gi,
  default-jdk | java-sdk
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
 Homepage: https://wiki.ubuntu.com/Apport
-Vcs-Git: git://anonscm.debian.org/collab-maint/apport.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apport.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/apport.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apport.git
 
 Package: apport
 Architecture: all
@@ -55,6 +55,9 @@
 Recommends: policykit-1
 Suggests: apport-gtk | apport-kde
 Breaks: python-apport (<< 2.6.1-1)
+Conflicts: core-dump-handler
+Replaces: core-dump-handler
+Provides: core-dump-handler
 Description: automatically generate crash reports for debugging
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump
@@ -208,7 +211,7 @@
 Architecture: all
 Depends: python (>= 2.4),
  python-apport (>= ${source:Version}),
- python-kde4,
+ python3-pyqt5,
  apport (>= 0.41),
  procps,
  x-terminal-emulator,
